Skip to main content
GET
/
v1
/
images
/
{id}
Get image by ID
curl --request GET \
  --url https://console.gmicloud.ai/api/v1/images/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://console.gmicloud.ai/api/v1/images/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://console.gmicloud.ai/api/v1/images/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "supportedProducts": [
    "<string>"
  ],
  "DefaultPartitionTable": [
    {
      "fileSystem": "<string>",
      "mountPoint": "<string>",
      "name": "<string>",
      "size": "<string>"
    }
  ],
  "OSArchitecture": "<string>",
  "OSSeries": "<string>",
  "OSVersion": "<string>",
  "SystemDiskSize": "<string>",
  "icon": "<string>",
  "idc": "<string>",
  "name": "<string>",
  "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "path": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

successful

supportedProducts
string[]
required
Maximum string length: 256
Pattern: ^[a-zA-Z0-9._-]+$
BootMode
enum<string>
required
Available options:
UEFI,
Legacy
DefaultPartitionTable
object[]
required
Minimum array length: 1
OSArchitecture
string
required
OSSeries
string
required
OSVersion
string
required
SystemDiskSize
string
required
icon
string<uri>
required
idc
string
required
Maximum string length: 50
Pattern: ^[a-zA-Z0-9._-]+$
name
string
required
Maximum string length: 255
Pattern: ^([A-Za-z0-9][A-Za-z0-9_\-. ]*)?[A-Za-z0-9]$
orgId
string<uuid>
required
path
string
required
createdAt
string<date-time>
required
id
string<uuid>
required
type
enum<string>
required
Available options:
Public,
Customized